<?php
if ( ! defined( 'ABSPATH' ) ) {
   exit; // Exit if accessed directly.
}

function keystone_ocdi_import_files() {
   // Get the current theme's stylesheet slug
   $theme_slug = wp_get_theme()->get_stylesheet();
  
   // Build the API URL with the theme slug
   $api_url = KEYSTONE_API_URL_BASE . '?theme_slug=' . $theme_slug;
  
   // Execute the API request with the secret header
   $response = wp_remote_get( $api_url, array(
       'headers' => array(
           'X-Auth-Secret' => KEYSTONE_API_SECRET
       )
   ));
  
   // Check for errors and return an empty array if the request fails
   if ( is_wp_error( $response ) ) {
       return []; // Fallback logic
   }
  
   // Retrieve and decode the JSON response
   $json_content = wp_remote_retrieve_body( $response );
   $import_files = json_decode( $json_content, true );
  
   // Return the data if valid, or an empty array
   return is_array( $import_files ) ? $import_files : [];
}
